## deepin-fix-init 0.1.6

=== Makefile ===
ifndef CC
CC=gcc
endif

ifndef CFLAGS
CFLAGS = -MMD -O2 -Wall -g
endif

Q=@
E=echo

ifndef LDO
LDO=$(CC)
endif

LIBTOOL_INSTALL =
INSTALL         = /usr/bin/install -c
INSTALL_PROGRAM = $(LIBTOOL_INSTALL) ${INSTALL}

PACKAGENAME     = deepin-fix-init
DESTDIR?=/
PREFIX?=/usr
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
INSTALL?=install -p
STRIP?=strip

LIBS=-ldialog -lncursesw -lm
LANGUAGES = $(basename $(notdir $(wildcard po/*.po)))
#LANGUAGES = $(shell sed -e "/^#/d" -e "s/#.*//" "po/LINGUAS")

OBJS = $(patsubst %.c,%.o,$(wildcard *.c))

all: deepin-fix-init translate

deepin-fix-init: $(OBJS)
	$(LDO) $(LDFLAGS) -o deepin-fix-init $(OBJS) $(LIBS) $(EXTRALIBS)
	@$(E) "  LD " $@
	#gcc -o deepin-fix-init $(OBJS) -ldialog -lncursesw -lm

main.o : util.h tui.h
tui.o : util.h tui.h
util.o : util.h tui.h

.PHONY : clean,install

clean:
	-rm deepin-fix-init $(OBJS) *.d

install: 
	$(INSTALL) -d -m 0755 $(DESTDIR)/$(BINDIR)
	$(INSTALL) -m 0755 $(PACKAGENAME) $(DESTDIR)/$(BINDIR)
	$(INSTALL) -m 0755 -D hook.sh $(DESTDIR)$(PREFIX)/share/initramfs-tools/hooks/deepin-fix-init
	$(INSTALL) -m 0755 -D panic.sh $(DESTDIR)$(PREFIX)/share/initramfs-tools/scripts/panic/deepin-fix-init
	mkdir -p $(DESTDIR)$(PREFIX)/share/locale
	cp -rv out/locale/* $(DESTDIR)$(PREFIX)/share/locale
	#make -C po install
#install:
#	$(INSTALL_PROGRAM) $(PROG) $(BINDIR)/$(ACTUAL_PROG)$x
pot:
	xgettext --default-domain=deepin-fix-init --directory=. --keyword=_ --keyword=N_ --no-location --files-from=./po/POTFILES.in --output-dir=./po/
	mv po/$(PACKAGENAME).po po/$(PACKAGENAME).pot
	sed -i 's/charset=CHARSET/charset=UTF-8/g' po/$(PACKAGENAME).pot

out/locale/%/LC_MESSAGES/deepin-fix-init.mo: po/%.po
	mkdir -p $(@D)
	msgfmt -o $@ $<

po-update: po/$(PACKAGENAME).pot
	if test -f po/zh_CN.po; then \
		msgmerge --previous --update po/zh_CN.po po/deepin-fix-init.pot; \
	else \
		msginit --input=po/deepin-fix-init.pot --local=po/zh_CN.po; \
	fi

translate: $(addsuffix /LC_MESSAGES/deepin-fix-init.mo, $(addprefix out/locale/, $(LANGUAGES)))

=== debian/changelog ===
deepin-fix-init (0.1.6) unstable; urgency=medium

  * fix bug for btrfs.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Tue, 07 Feb 2023 09:38:51 +0800

deepin-fix-init (0.1.5) unstable; urgency=medium

  * add dependency.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 06 Feb 2023 16:52:31 +0800

deepin-fix-init (0.1.4) unstable; urgency=medium

  * no exec postinst/postrm in chroot.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 15 Jan 2023 14:27:28 +0800

deepin-fix-init (0.1.3) unstable; urgency=medium

  * no exec in chroot.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 15 Jan 2023 12:40:39 +0800

deepin-fix-init (0.1.2) unstable; urgency=medium

  * port to mips64.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 06 Jan 2023 20:04:55 +0800

deepin-fix-init (0.1.1) unstable; urgency=medium

  * fix compile error.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 04 Jan 2023 10:15:57 +0800

deepin-fix-init (0.1.0) unstable; urgency=medium

  * rewrite use c.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 01 Jan 2023 17:21:03 +0800

deepin-initramfs-enhance (0.0.3) unstable; urgency=medium

  * release 0.0.3

 -- electricface <songwentai@uniontech.com>  Fri, 23 Dec 2022 11:35:43 +0800

deepin-initramfs-enhance (0.0.2) unstable; urgency=medium

  * release 0.0.2

 -- electricface <songwentai@uniontech.com>  Tue, 13 Dec 2022 15:22:01 +0800

deepin-initramfs-enhance (0.0.1) unstable; urgency=medium

  * Initial Release.

 -- electricface <songwentai@uniontech.com>  Mon, 28 Nov 2022 15:14:06 +0800

=== debian/control ===
Source: deepin-fix-init
Section: utils
Priority: optional
Maintainer: Wuhansystem <wangxinpeng@uniontech.com>
Build-Depends: debhelper (>= 11), dialog, libncursesw6, libncurses-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-fix-init
Architecture: any
Depends: ${shlibs:Depends}, debianutils (>= 1.6), initramfs-tools-core, ttf-unifont, fbterm, ncurses-base, gettext-base
Description: help users to deal with failures during the initramfs boot phase.
 When an error occurs during the initramfs boot phase,
 it will enter the UI provided by this program to assist
 the user to execute the fsck command to fix the problem.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CFLAGS_MAINT_APPEND   = -MMD -Wall $(shell dpkg-buildflags --get CPPFLAGS) -Wno-error=array-bounds $(warning WARNING: Building with -Wno-error=array-bounds)
DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -pie -fPIE
export DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

UCFLAGS   = -MMD -Wall -pie -fPIC $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)

build: build-stamp

build-stamp:
	#CFLAGS="$(UCFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	#$(MAKE)
	CFLAGS="$(UCFLAGS)" dh_auto_build --sourcedirectory=. \
                      --buildsystem=makefile
	touch build-stamp

clean: 
	rm -f build-stamp
	[ ! -f makefile ] || $(MAKE) distclean
	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/lshw.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/deepin-fix-init prefix=/usr

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
